### Method

# Gtk Text set_max_length

#### Declaration [src]

    void
    gtk_text_set_max_length (
      GtkText* self,
      int length
    )

#### Description [src]

Sets the maximum allowed length of the contents.

If the current contents are longer than the given length, they will be truncated to fit.

This is equivalent to getting `self`‘s `GtkEntryBuffer` and calling `gtk_entry_buffer_set_max_length()` on it.

Sets property | `Gtk.Text:max-length`

#### Parameters

`length`

  Type: `int`

  The maximum length of the text, or 0 for no maximum. (other than the maximum length of entries.) The value passed in will be clamped to the range 0-65536.